local L = LibStub("AceLocale-3.0"):NewLocale("EveryQuest", "enUS", true)
local BZ = LibStub("LibBabble-Zone-3.0"):GetLookupTable()

local classes = {}
FillLocalizedClassList(classes)

EQ_zones = { -- Dropdown Zone list
	{"Eastern Kingdoms", {
		{36, BZ["Alterac Mountains"]},
		{45, BZ["Arathi Highlands"]},
		{3, BZ["Badlands"]},
		{25, BZ["Blackrock Mountain"]},
		{4, BZ["Blasted Lands"]},
		{46, BZ["Burning Steppes"]},
		{279, BZ["Dalaran"]},
		{41, BZ["Deadwind Pass"]},
		{2257, BZ["Deeprun Tram"]},
		{1, BZ["Dun Morogh"]},
		{10, BZ["Duskwood"]},
		{139, BZ["Eastern Plaguelands"]},
		{12, BZ["Elwynn Forest"]},
		{3430, BZ["Eversong Woods"]},
		{3433, BZ["Ghostlands"]},
		{267, BZ["Hillsbrad Foothills"]},
		{1537, BZ["Ironforge"]},
		{4080, BZ["Isle of Quel'Danas"]},
		{38, BZ["Loch Modan"]},
		{44, BZ["Redridge Mountains"]},
		{51, BZ["Searing Gorge"]},
		{3487, BZ["Silvermoon City"]},
		{130, BZ["Silverpine Forest"]},
		{1519, BZ["Stormwind City"]},
		{33, BZ["Stranglethorn Vale"]},
		{8, BZ["Swamp of Sorrows"]},
		{47, BZ["The Hinterlands"]},
		{85, BZ["Tirisfal Glades"]},
		{1497, BZ["Undercity"]},
		{28, BZ["Western Plaguelands"]},
		{40, BZ["Westfall"]},
		{11, BZ["Wetlands"]},
	}, BZ["Eastern Kingdoms"]},
	{"Kalimdor", {
		{331, BZ["Ashenvale"]},
		{16, BZ["Azshara"]},
		{3524, BZ["Azuremyst Isle"]},
		{3525, BZ["Bloodmyst Isle"]},
		{148, BZ["Darkshore"]},
		{1657, BZ["Darnassus"]},
		{405, BZ["Desolace"]},
		{14, BZ["Durotar"]},
		{15, BZ["Dustwallow Marsh"]},
		{361, BZ["Felwood"]},
		{357, BZ["Feralas"]},
		{493, BZ["Moonglade"]},
		{215, BZ["Mulgore"]},
		{1637, BZ["Orgrimmar"]},
		{1377, BZ["Silithus"]},
		{406, BZ["Stonetalon Mountains"]},
		{440, BZ["Tanaris"]},
		{141, BZ["Teldrassil"]},
		{17, BZ["The Barrens"]},
		{3557, BZ["The Exodar"]},
		{400, BZ["Thousand Needles"]},
		{1638, BZ["Thunder Bluff"]},
		{1216, BZ["Timbermaw Hold"]},
		{490, BZ["Un'Goro Crater"]},
		{618, BZ["Winterspring"]},
	}, BZ["Kalimdor"]},
	{"Outland", {
		{3522, BZ["Blade's Edge Mountains"]},
		{3483, BZ["Hellfire Peninsula"]},
		{3518, BZ["Nagrand"]},
		{3523, BZ["Netherstorm"]},
		{3520, BZ["Shadowmoon Valley"]},
		{3703, BZ["Shattrath City"]},
		{3679, BZ["Skettis"]},
		{3519, BZ["Terokkar Forest"]},
		{3521, BZ["Zangarmarsh"]},
	}, BZ["Outland"]},
	{"Northrend", {
		{3537, BZ["Borean Tundra"]},
		{4024, BZ["Coldarra"]},
		{4395, BZ["Dalaran"]},
		{65, BZ["Dragonblight"]},
		{394, BZ["Grizzly Hills"]},
		{495, BZ["Howling Fjord"]},
		{210, BZ["Icecrown"]},
		{3711, BZ["Sholazar Basin"]},
		{67, BZ["The Storm Peaks"]},
		{4197, BZ["Wintergrasp"]},
		{66, BZ["Zul'Drak"]},
	}, BZ["Northrend"]},
	{"Dungeons", {
		{"Classic", {
			{719, BZ["Blackfathom Deeps"]},
			{1584, BZ["Blackrock Depths"]},
			{1583, BZ["Blackrock Spire"]},
			{2557, BZ["Dire Maul"]},
			{133, BZ["Gnomeregan"]},
			{2100, BZ["Maraudon"]},
			{2437, BZ["Ragefire Chasm"]},
			{722, BZ["Razorfen Downs"]},
			{491, BZ["Razorfen Kraul"]},
			{796, BZ["Scarlet Monastery"]},
			{2057, BZ["Scholomance"]},
			{209, BZ["Shadowfang Keep"]},
			{2017, BZ["Stratholme"]},
			{1417, BZ["Sunken Temple"]},
			{1581, BZ["The Deadmines"]},
			{717, BZ["The Stockade"]},
			{1337, BZ["Uldaman"]},
			{718, BZ["Wailing Caverns"]},
			{978, BZ["Zul'Farrak"]},
		}, L["Classic"]},
		{"Burning Crusade", {
			{3790, BZ["Auchenai Crypts"]},
			{1941, BZ["Caverns of Time"]},
			{3905, BZ["Coilfang Reservoir"]},
			{3562, BZ["Hellfire Ramparts"]},
			{4095, BZ["Magisters' Terrace"]},
			{3792, BZ["Mana-Tombs"]},
			{2367, BZ["Old Hillsbrad Foothills"]},
			{3791, BZ["Sethekk Halls"]},
			{3789, BZ["Shadow Labyrinth"]},
			{3845, BZ["Tempest Keep"]},
			{3846, BZ["The Arcatraz"]},
			{2366, BZ["The Black Morass"]},
			{3713, BZ["The Blood Furnace"]},
			{3847, BZ["The Botanica"]},
			{3849, BZ["The Mechanar"]},
			{3714, BZ["The Shattered Halls"]},
			{3717, BZ["The Slave Pens"]},
			{3715, BZ["The Steamvault"]},
			{3716, BZ["The Underbog"]},
		}, L["Burning Crusade"]},
		{"Wrath of the Lich King", {
			{4494, BZ["Ahn'kahet: The Old Kingdom"]},
			{3477, BZ["Azjol-Nerub"]},
			{1941, BZ["Caverns of Time"]},
			{4196, BZ["Drak'Tharon Keep"]},
			{4375, BZ["Gundrak"]},
			{4272, BZ["Halls of Lightning"]},
			{4264, BZ["Halls of Stone"]},
			{4100, BZ["The Culling of Stratholme"]},
			{4120, BZ["The Nexus"]},
			{4228, BZ["The Oculus"]},
			{4415, BZ["The Violet Hold"]},
			{4723, BZ["Trial of the Champion"]},
			{206, BZ["Utgarde Keep"]},
			{1196, BZ["Utgarde Pinnacle"]},
		}, L["Wrath of the Lich King"]},
	}, L["Dungeons"]},
	{"Raids", {
		{2677, BZ["Blackwing Lair"]},
		{3606, BZ["Hyjal Summit"]},
		{2562, BZ["Karazhan"]},
		{3836, BZ["Magtheridon's Lair"]},
		{2717, BZ["Molten Core"]},
		{3456, BZ["Naxxramas"]},
		{2159, BZ["Onyxia's Lair"]},
		{3429, BZ["Ruins of Ahn'Qiraj"]},
		{3428, BZ["Temple of Ahn'Qiraj"]},
		{3840, BZ["The Black Temple"]},
		{3842, BZ["The Eye"]},
		{4500, BZ["The Eye of Eternity"]},
		{4722, BZ["Trial of the Crusader"]},
		{4273, BZ["Ulduar"]},
		{3805, BZ["Zul'Aman"]},
		{19, BZ["Zul'Gurub"]},
	}, L["Raids"]},
	{"Classes", {
		{-372, classes["Death Knight"]},
		{-263, classes["Druid"]},
		{-261, classes["Hunter"]},
		{-161, classes["Mage"]},
		{-141, classes["Paladin"]},
		{-262, classes["Priest"]},
		{-162, classes["Rogue"]},
		{-82, classes["Shaman"]},
		{-61, classes["Warlock"]},
		{-81, classes["Warrior"]},
	}, L["Classes"]},
	{"Professions", {
		{-181, L["Alchemy"]},
		{-121, L["Blacksmithing"]},
		{-304, L["Cooking"]},
		{-201, L["Engineering"]},
		{-324, L["First Aid"]},
		{-101, L["Fishing"]},
		{-24, L["Herbalism"]},
		{-371, L["Inscription"]},
		{-373, L["Jewelcrafting"]},
		{-182, L["Leatherworking"]},
		{-264, L["Tailoring"]},
	}, L["Professions"]},
	{"Battlegrounds", {
		{-25, L["All"]},
		{3358, BZ["Arathi Basin"]},
		{2597, BZ["Alterac Valley"]},
		{3820, BZ["Eye of the Storm"]},
		{4710, BZ["Isle of Conquest"]},
		{4384, BZ["Strand of the Ancients"]},
		{3277, BZ["Warsong Gulch"]},
	}, L["Battlegrounds"]},
	{"Seasonal", {
		{-370, L["Brewfest"]},
		{-1002, L["Children's Week"]},
		{-364, L["Darkmoon Faire"]},
		{-1007, L["Day of the Dead"]},
		{-1003, L["Hallow's End"]},
		{-1005, L["Harvest Festival"]},
		{-1004, L["Love is in the Air"]},
		{-366, L["Lunar Festival"]},
		{-369, L["Midsummer Fire Festival"]},
		{-1006, L["New Year's Eve"]},
		{-374, L["Noblegarden"]},
		{-1008, L["Pilgrim's Bounty"]},
		{-1001, L["Winter Veil"]},
	}, L["Seasonal"]},
	{"Miscellaneous", {
		{-365, L["Ahn'Qiraj War Effort"]},
		{-241, L["Tournament"]},
		{-1, L["Epic"]},
		{-344, L["Legendary"]},
		{-367, L["Reputation"]},
		{-368, L["Scourge Invasion"]},
	}, L["Miscellaneous"]},
}